Loading...
Searching...
No Matches
RDKit::HasPropWithValueQuery< TargetPtr, T > Class Template Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::HasPropWithValueQuery< TargetPtr, T >:

## Public Member Functions

| HasPropWithValueQuery ()
PairHolder | getPair () const override
double | getTolerance () const override
| HasPropWithValueQuery (std::string prop, const T &v, const T &tol=0.0)
bool | Match (const TargetPtr what) const override
Queries::Query< int, TargetPtr, true > * | copy () const override
| returns a copy of this query
Public Member Functions inherited from RDKit::HasPropWithValueQueryBase
| HasPropWithValueQueryBase ()=default
virtual | ~HasPropWithValueQueryBase ()=default
Public Member Functions inherited from Queries::EqualityQuery< int, TargetPtr, true >
| EqualityQuery ()
| EqualityQuery (int v)
| constructs with our target value
| EqualityQuery (int v, int t)
| constructs with our target value and a tolerance
void | setVal (int what)
| sets our target value
const int | getVal () const
| returns our target value
void | setTol (int what)
| sets our tolerance
const int | getTol () const
| returns out tolerance
bool | Match (const TargetPtr what) const override
| returns whether or not we match the argument
std::string | getFullDescription () const override
| returns a fuller text description
Public Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated
bool | getNegation () const
| returns whether or not we are negated
void | setDescription (const std::string &descr)
| sets our text description
void | setDescription (const char *descr)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
const std::string & | getDescription () const
| returns our text description
void | setTypeLabel (const std::string &typ)
| sets our type label
void | setTypeLabel (const char *typ)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
const std::string & | getTypeLabel () const
| returns our text label.
void | setMatchFunc (bool(*what)(MatchFuncArgType))
| sets our match function
void | setDataFunc (MatchFuncArgType(*what)(DataFuncArgType))
| sets our data function
void | addChild (CHILD_TYPE child)
| adds a child to our list of children
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector
virtual bool | Match (const DataFuncArgType arg) const
| returns whether or not we match the argument

## Additional Inherited Members

Public Types inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
using | CHILD_TYPE = std::shared_ptr< Query< MatchFuncArgType, DataFuncArgType, needsConversion > >
using | CHILD_VECT = std::vector< CHILD_TYPE >
using | CHILD_VECT_I = typename CHILD_VECT::iterator
using | CHILD_VECT_CI = typename CHILD_VECT::const_iterator
using | MATCH_FUNC_ARG_TYPE = MatchFuncArgType
using | DATA_FUNC_ARG_TYPE = DataFuncArgType
Public Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
bool(*)(MatchFuncArgType) | getMatchFunc () const
| returns our match function:
MatchFuncArgType(*)(DataFuncArgType) | getDataFunc () const
| returns our data function:
Protected Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
MatchFuncArgType | TypeConvert (MatchFuncArgType what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what`
MatchFuncArgType | TypeConvert (DataFuncArgType what, Int2Type< true >) const
Protected Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
MatchFuncArgType | d_val = 0
MatchFuncArgType | d_tol = 0
std::string | d_description = ""
std::string | d_queryType = ""
CHILD_VECT | d_children
bool | df_negate {false}
bool(* | d_matchFunc )(MatchFuncArgType)
union { |
MatchFuncArgType(* d_dataFunc )(DataFuncArgType) |
MatchFuncArgType(* d_dataFuncSameType )(MatchFuncArgType) |
}; |  |

## Detailed Description

template<class TargetPtr, class T>
class RDKit::HasPropWithValueQuery< TargetPtr, T >

Definition at line 874 of file QueryOps.h.

## Constructor & Destructor Documentation

## HasPropWithValueQuery() [1/2]

template<class TargetPtr , class T >

RDKit::HasPropWithValueQuery< TargetPtr, T >::HasPropWithValueQuery | ( |  | ) |

inline

Definition at line 882 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDescription().

Referenced by RDKit::HasPropWithValueQuery< TargetPtr, T >::copy().

## HasPropWithValueQuery() [2/2]

template<class TargetPtr , class T >

RDKit::HasPropWithValueQuery< TargetPtr, T >::HasPropWithValueQuery | ( | std::string | prop,
|  | const T & | v,
|  | const T & | tol = `0.0`
| ) |  |

inline explicit

Definition at line 895 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDescription().

## Member Function Documentation

## copy()

template<class TargetPtr , class T >

Queries::Query< int, TargetPtr, true > * RDKit::HasPropWithValueQuery< TargetPtr, T >::copy | ( |  | ) | const

inline override virtual

returns a copy of this query

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 940 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), RDKit::HasPropWithValueQuery< TargetPtr, T >::HasPropWithValueQuery(), and RDKit::rdvalue_is().

## getPair()

template<class TargetPtr , class T >

PairHolder RDKit::HasPropWithValueQuery< TargetPtr, T >::getPair | ( |  | ) | const

inline override virtual

Implements RDKit::HasPropWithValueQueryBase.

Definition at line 889 of file QueryOps.h.

## getTolerance()

template<class TargetPtr , class T >

double RDKit::HasPropWithValueQuery< TargetPtr, T >::getTolerance | ( |  | ) | const

inline override virtual

Implements RDKit::HasPropWithValueQueryBase.

Definition at line 893 of file QueryOps.h.

## Match()

template<class TargetPtr , class T >

bool RDKit::HasPropWithValueQuery< TargetPtr, T >::Match | ( | const TargetPtr | what | ) | const

inline override

Definition at line 906 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), Queries::queryCmp(), and RDKit::rdvalue_is().

The documentation for this class was generated from the following file:

- QueryOps.h